#include <iostream>

#define pb push_back
#define f first
#define s second

using namespace std;

typedef long long ll;
typedef long double ld;

#define int ll

int sum(int n) {
    return (n * (n + 1)) / 2;
}

int ans(int tp, int k, int n, int m) {
    if (tp == 0) {
        int f = sum(k) * n + sum(n - 1) * m * k;
        int s = (sum(m) - sum(k)) * n + sum(n - 1) * m * (m - k);
        return abs(f - s);
    } else {
        int f = sum(k * m);
        int s = sum(n * m) - f;
        return abs(f - s);
    }
}

void minisolve2() {
    int n, m;
    cin >> n >> m;
    int l = 0, r = m - 1;
//    for (int i = 0; i < m; i++)
//        cout << ans(0, i, n, m) << endl;
//    while (r > l + 3) {
//        int f = l + (r - l) / 3;
//        int s = r - (r - l) / 3;
//        if (ans(0, f, n, m) <= ans(0, r, n, m))
//            r = s;
//        else
//            l = f;
//    }
    pair<int, pair<int, int>> mx = {1e18, {0, 0}};
    for (int i = l; i <= r; i++)
        mx = min(mx, {ans(0, i, n, m), {0, i + 1}});
    l = 0, r = n - 1;
//    while (r > l + 3) {
//        int f = l + (r - l) / 3;
//        int s = r - (r - l) / 3;
//        if (ans(1, f, n, m) <= ans(1, r, n, m))
//            r = s;
//        else
//            l = f;
//    }
    for (int i = l; i <= r; i++)
        mx = min(mx, {ans(1, i, n, m), {1, i + 1}});
    if (mx.s.f == 0)
        cout << 'V' << ' ' << mx.s.s << endl;
    else
        cout << 'H' << ' ' << mx.s.s << endl;
}

void solve() {
    int t;
    cin >> t;
    while (t--) {
        minisolve2();
    }
}

signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    solve();
    return 0;
}
