#include <bits/stdc++.h>

#define pb push_back
#define f first
#define s second

using namespace std;

typedef long long ll;
typedef long double ld;

//#define int ll

const int N = 1e5 + 10, CNST = 200;
pair<int, int> a[N];
int n, used[N], global_cnt = 0;
map<int, vector<int>> by_f;
vector<int> g[N], vec;

int dfs(int v) {
    if (global_cnt >= CNST)
        return 0;
    used[v] = 1;
    vec.pb(v);
    if (vec.size() == n)
        return 1;
    for (auto u : g[v]) {
        if (global_cnt >= CNST)
            return 0;
        if (!used[u]) {
            if (dfs(u))
                return 1;
        }
    }
    used[v] = 0;
    vec.pop_back();
    global_cnt++;
    return 0;
}

bool check(int val) {
    int cnt = 0, kolvo = 0;
    global_cnt = 0;
    for (int i = 0; i < n; i++) {
        g[i].clear();
        int old = cnt;
        for (auto u : by_f[val - a[i].s]) {
            if (u == i)
                continue;
            g[i].pb(u);
            cnt++;
        }
        if (cnt == old)
            kolvo++;
    }
    if (cnt < n - 1 || kolvo > 1)
        return 0;
    for (int i = 0; i < n; i++) {
        if (dfs(i))
            return 1;
        vec.clear();
        for (int j = 0; j < n; j++)
            used[j] = 0;
    }
    return 0;
}

void solve() {
    cin >> n;
    int d = -1;
    for (int i = 0; i < n; i++) {
        int m, s, fst, snd;
        cin >> m >> s;
        int last = -1;
        for (int j = 0; j < m; j++) {
            int x;
            cin >> x;
            if (last != -1) {
                if (d == -1) {
                    d = x - last;
                } else {
                    if (d != x - last) {
                        cout << "No" << endl;
                        return;
                    }
                }
            } else {
                fst = x;
            }
            last = x;
        }
        snd = s - last;
        a[i] = {fst, snd};
    }
    for (int i = 0; i < n; i++) {
        by_f[a[i].f].pb(i);
    }
    if (n == 1) {
        cout << "Yes" << endl << 1 << endl;
        return;
    }
    if (d != -1) {
        if (check(d)) {
            cout << "Yes" << endl;
            for (auto u : vec)
                cout << u + 1 << ' ';
            cout << endl;
            return;
        }
    } else {
        if (n <= 1000) {
            for (int i = 1; i < n; i++) {
                if (check(a[0].s + a[i].f)) {
                    cout << "Yes" << endl;
                    for (auto u : vec)
                        cout << u + 1 << ' ';
                    cout << endl;
                    return;
                }
                if (check(a[0].f + a[i].s)) {
                    cout << "Yes" << endl;
                    for (auto u : vec)
                        cout << u + 1 << ' ';
                    cout << endl;
                    return;
                }
            }
        } else {
            for (int val = 0; val <= 200; val++) {
                if (check(val)) {
                    cout << "Yes" << endl;
                    for (auto u : vec)
                        cout << u + 1 << ' ';
                    cout << endl;
                    return;
                }
            }
        }
    }
    cout << "No" << endl;
}

signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    solve();
    return 0;
}